Index: libs/program_options/src/value_semantic.cpp
===================================================================
RCS file: /cvsroot/boost/boost/libs/program_options/src/value_semantic.cpp,v
retrieving revision 1.12
diff -u -b -u -3 -r1.12 value_semantic.cpp
--- libs/program_options/src/value_semantic.cpp	20 Sep 2004 06:14:18 -0000	1.12
+++ libs/program_options/src/value_semantic.cpp	21 Sep 2004 06:49:16 -0000
@@ -178,6 +178,7 @@
     }
 
 
+#if !defined(BOOST_NO_STD_WSTRING)
     namespace
     {
         std::string convert_value(const std::wstring& s)
@@ -190,6 +191,7 @@
             }
         }
     }
+#endif
 
 
     invalid_option_value::
@@ -198,13 +200,14 @@
                        .append(bad_value).append("'"))
     {}
 
+#if !defined(BOOST_NO_STD_WSTRING)
     invalid_option_value::
     invalid_option_value(const std::wstring& bad_value)
     : validation_error(string("invalid option value '")
                        .append(convert_value(bad_value))
                        .append("'"))
     {}
-                       
+#endif
 
 
 
